Re: [Full-disclosure] Critical PHP bug - act ASAP if you are running web with sensitive data

2006-03-29T00:00:00
ID SECURITYVULNS:DOC:12028
Type securityvulns
Reporter Securityvulns
Modified 2006-03-29T00:00:00

Description

Hello,

just to stop this:

The bug is a binary safety issue in html_entity_decode. A function that is not usually used on user input, because user input is usually not expected in HTML format and then decoded. Even if the function is used on user input it can only leak memory to a potential attacker if the decoded user input is send back to the client.

The bug was found in late February by one of the japanese PHP developers and was fixed in CVS one day later. Because the bug is a local memory leak it was not considered top critical and is among the usual bugfixes. PHP 5.1.3-RC1 which was released in the beginning of March already fixes this issue.

Stefan